package RSSReader::Gtk2UI::DeleteACategory;
use strict;
use RSSReader::Category;
use RSSReader::Gtk2UI::Dialog;
use Data::Dumper;

sub run {
  my $c = shift;
  my $cat = shift;
  my $window = RSSReader::Gtk2UI::MainWindow->new->widget;

  my $s = bless { _cat => $cat }, $c;
  my $d = Gtk2::MessageDialog->new($window, 'modal', 'info', 'ok-cancel', 'Category "'.$cat->label.'", and all it\'s sub feeds and categories, is about to be deleted');
  $d->signal_connect('response', sub {my $d = shift; my $r = shift; my $s = shift; ($r eq 'ok' ? $s->delete_it : $s->canceled) }, $s);
  $s->{_dialog} = $d;
  $d->run();

}

sub delete_it {
  my $s = shift;
  $s->{_dialog}->destroy;
  $s->{_cat}->delete();
}

sub canceled {
  my $s = shift;
  $s->{_dialog}->destroy;
  RSSReader::Gtk2UI::Dialog->run('Category was not deleted', 'info');	
}
1;
